import { RouterSDK } from "../RouterSDK";
declare class EvmRouterSDK extends RouterSDK {
    multicallContract: any;
    erc20RouterContract: any;
    ERC20RouterAddress: any;
    ERC20RouterAbi: any;
    legacyRouterContract: any;
    LegacyRouterAddress: any;
    LegacyRouterAbi: any;
    legacyRouterProxyContract: any;
    LegacyRouterProxyAddress: any;
    LegacyRouterProxyAbi: any;
    WrappedERC721Abi: any;
    ITeleportAbi: any;
    NFTRouterAbi: any;
    ERC20PermitAbi: any;
    tokenAllowanceThreshold: any;
    constructor(signerOrProvider: any, optionalParams: any);
    /**
     * @param optionalParams
     * @property validators: object
     * @property legacyRouterABI: LegacyRouterAbi
     * @property legacyRouterAddress: address
     * @property legacyRouterProxyABI: LegacyRouterProxyAbi
     * @property legacyRouterProxyAddress: address
     * @property wrappedErc721ABI: WrappedERC721
     * @property teleportABI: ITeleport
     * @property nftRouterABI: NFTIRouterDiamond
     * @property erc20RouterABI: ERC20IRouterDiamond
     * @property erc20RouterAddress: address
     * @property erc20PermitABI: ERC20Permit
     * @property threshold: number
     * @property validatorTargetVersion: string
     * @property nftValidatorTargetVersion: string
     */
    setParams(optionalParams: any): void;
    allowance(tokenAddress: any, userAddress: any): Promise<{
        allowance: any;
        tokenDecimals: any;
    }>;
    allowanceLegacy(tokenAddress: any, userAddress: any): Promise<{
        allowance: any;
        tokenDecimals: any;
    }>;
    approve(tokenAddress: any, amount: any): Promise<any>;
    approveLegacy(tokenAddress: any, amount: any, bridgedTokenIsNativeTokenOrNonDefaultFee: any): Promise<any>;
    approveMaxInt(tokenAddress: any): Promise<any>;
    approveMaxIntLegacy(tokenAddress: any, bridgedTokenIsNativeTokenOrNonDefaultFee: any): Promise<any>;
    approveNfts(collectionAddress: any): Promise<any>;
    balanceOf(tokenAddress: any, userAddress: any): Promise<{
        balance: any;
        tokenDecimals: any;
    }>;
    balanceOfLegacy(tokenAddress: any, userAddress: any): Promise<{
        balance: any;
        tokenDecimals: any;
    }>;
    balanceOfMulticall(tokenAddresses: any, userAddress: any): Promise<any[]>;
    balanceOfMulticallV2Legacy(tokenAddresses: any, userAddress: any): Promise<any[]>;
    claim(transmission: any): Promise<any>;
    claimLegacy(transfer: any): Promise<any>;
    estimateApproveNfts(collectionAddress: any): Promise<any>;
    estimateClaim(transmission: any): Promise<any>;
    estimateSendNftTokens(targetChainId: any, assets: any, userAddress: any, fee: any): Promise<any>;
    fixSignatures(signatures: any): any[];
    getALBTToken(): Promise<{
        name: any;
        symbol: any;
        decimals: any;
        address: any;
    }>;
    getALBTTokenLegacy(): Promise<{
        name: any;
        symbol: any;
        decimals: any;
        address: any;
    }>;
    getExternalFeeLegacy(): Promise<any>;
    getFeeAmountByToken(tokenAddress: any): Promise<any>;
    getFeeTokens(): Promise<any>;
    getNativeTokenByWrappedAddress(wrappedTokenAddress: any): Promise<any>;
    getNativeTokenByWrappedAddressLegacy(wrappedTokenAddress: any): Promise<any>;
    getNFTBridgeFee(): Promise<any>;
    getProxyFeeLegacy(address: any): Promise<any>;
    getServiceFee(): Promise<any>;
    getServiceFeeLegacy(): Promise<any>;
    getTokenDecimals(tokenAddress: any): Promise<any>;
    getTokenDetails(tokenAddress: any): Promise<{
        name: any;
        symbol: any;
        decimals: any;
    }>;
    getTokenDetailsMulticall(tokenAddresses: any, userAddress?: any): Promise<any[]>;
    getTokenName(tokenAddress: any): Promise<any>;
    getTokenSymbol(tokenAddress: any): Promise<any>;
    getWrappedForNativeToken(nativeChainId: number, nativeToken: string): Promise<any>;
    getWrappedTokenDetails(nativeTokenAddress: any, nativeChainId: any): Promise<{
        name: any;
        symbol: any;
        decimals: any;
        address: any;
    }>;
    getWrappedTokenDetailsLegacy(nativeTokenAddress: any, nativeChainId: any): Promise<{
        name: any;
        symbol: any;
        decimals: any;
        address: any;
    }>;
    isAddress(address: string, limitOnCurve?: boolean): boolean;
    isClaimedLegacy(transfer: any): Promise<any>;
    isClaimedMulticallLegacy(transfers: any): Promise<any[]>;
    isNftsApproved(userAddress: any, collectionAddress: any): Promise<any>;
    isTokenApproved(tokenAddress: any, userAddress: any, threshold: any /** optional */): Promise<any>;
    isTokenApprovedLegacy(tokenAddress: any, userAddress: any, bridgedTokenIsNativeTokenOrNonDefaultFee: any, threshold: any /** optional */): Promise<any>;
    loadTokenByAddressAndId(collectionAddress: string, id: string, userAddress: string, skipOwnerCheck?: boolean): Promise<any>;
    loadTokensByCollectionAddress(collectionAddress: any): Promise<{
        collectionName: string;
        collectionAddress: any;
        items: any[];
    }>;
    sendErc20(estimateOnly: any, // boolean - true if we need to call estimate gas only
    targetChainId: any, // number
    tokenAddress: any, // address - could be AddressZero when bridging native chain currency
    amount: any, // ethers.BigNumber
    receiverAddress: any, // address
    feeTokenAddress: any, // address - could be AddressZero
    deliveryFeeEstimate: any, // ethers.BigNumber
    deliveryFeeExpiry: any, // number
    deliveryFeeSignature: any, // hex string
    v: any, r: any, s: any, deadline: any): Promise<any>;
    sendLegacy(targetChainId: any, tokenAddress: any, amount: any, receiver: any, feeTokenAddress: any, bridgedTokenIsNativeToken: any): Promise<any>;
    sendNftTokens(targetChainId: any, assets: any, userAddress: any, fee: any): Promise<any>;
    sendWithPermitLegacy(targetChainId: any, tokenAddress: any, amount: any, receiver: any, v: any, r: any, s: any, deadline: any, feeTokenAddress: any, bridgedTokenIsNativeToken: any): Promise<any>;
    _configValidators(optionalParams: any): Promise<void>;
    _getAllUserTokens(): Promise<void>;
    _getMetadata(): Promise<void>;
    _loadNftsByCollectionAndIdMulticall(collections: any): Promise<any[]>;
}
export { EvmRouterSDK };
